import {
  isBrowser
} from "./chunk-LAB3GB4W.js";
import {
  getGlobalLogger
} from "./chunk-Q4U2LWXG.js";
import {
  LoggerBrowserSetupDebugFactory
} from "./chunk-NRYAGUCT.js";
import {
  LoggerBrowserHandler
} from "./chunk-FEAX7INQ.js";
import {
  isEmpty
} from "./chunk-SIEZSWEQ.js";

// src/browser/log/log-context-browser.ts
function Logger(name, level) {
  return getGlobalLogger((context) => {
    if (isBrowser() && !isEmpty(localStorage.getItem("zeed"))) {
      context.setHandlers([LoggerBrowserHandler()]);
      context.setFactory(LoggerBrowserSetupDebugFactory({}));
    }
  })(name, level);
}

export {
  Logger
};
//# sourceMappingURL=chunk-3MPKXT7M.js.map